Ergebnis 1 bis 4 von 4

Thema: Fehler 500 - advanced_search_result

  1. #1
    Padawan Stufe I Avatar von Tari
    Registriert seit
    27.06.2008
    Beiträge
    45
    Themen
    10
    DANKE
    1
    Erhaltene Danke: 3

    Standard Fehler 500 - advanced_search_result

    Hallo, ich habe folgendes Problem:


    Der Google Crawler, und auch Bing erzeugen immer den Fehler 500, wenn sie mit folgenden (verschiedenen) Suchbegriffen meine Seite crawlen:


    http://www.meineseite.de/advanced_se...uage=en&page=3


    In den Logs finde ich folgende Fehlermeldung:

    [18-May-2012 03:28:01] PHP Warning: require(includes/languages//advanced_search) [<a href='function.require'>function.require</a>]: failed to open stream: No such file or directory in /homepages/XX/XXXXXX/htdocs/advanced_search_result.php on line 15
    [18-May-2012 03:28:01] PHP Fatal error: require() [<a href='function.require'>function.require</a>]: Failed opening required 'includes/languages//advanced_search' (include_path='.:/usr/lib/php5') in /homepages/XX/XXXXXXXX/htdocs/advanced_search_result.php on line 15

    Leider hat eine Überprüfung aller Search-Dateien nichts ergeben, da sie von mir auch nicht geändert worden sind.


    Ich habe auf dem gleichen Server noch einen anderen Shop in einem Unterverzeichnis mit anderer Domain-Adresse laufen - beide Zen-Cart 1., die PHP-Version ist 5.2.17 - bei dem dieses Problem nicht auftritt.
    Beide Shops sind im Prinzip gleich, haben sogar das selbe Template.


    Ich habe schon alle Search-Dateien der beiden Shops mit WinMerge verglichen, und sie sind identisch.


    Über jeden Lösungsansatz würde ich mich freuen.


    Danke


    Tari

  2. #2
    Padawan Stufe III Avatar von ralfisi
    Registriert seit
    11.04.2010
    Ort
    Bülach, Schweiz
    Beiträge
    272
    Themen
    23
    DANKE
    16
    Erhaltene Danke: 11

    Standard

    Ich bin echt nicht der php -Guru - also kann ich Dir nur sagen / schreiben was ich machen würde.
    Beim drüber schauen bei
    Code:
    PHP Warning:  require(includes/languages//advanced_search)
    ist mir aufgefallen // vor advanced_search. Ob das der "Fehler" ist?
    Notepad++ kann Dateiübergreifend suchen, lass mach nach languages//advanced suchen. Kann ja sein, dass ....

    Guss
    ralf

  3. #3
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.047
    Themen
    81
    DANKE
    3
    Erhaltene Danke: 950

    Standard

    Wie lautet der Link genau?
    Sowas hier kann es nicht geben und sollte Error 404 liefern:
    Code:
    http://www.meineseite.de/advanced_search_result.php?keywords=banal&sort=3d&language=en&page=3
    So ein Link wird von zen-Cart nicht generiert
    Es müsste so beginnen:
    Code:
    http://www.meineseite.de/index.php?main_page=advanced_search_result
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  4. #4
    Padawan Stufe I Avatar von Tari
    Registriert seit
    27.06.2008
    Beiträge
    45
    Themen
    10
    DANKE
    1
    Erhaltene Danke: 3
    Erstellt von

    Standard

    Hallo und nochmals Danke für die Beschäftigung mit meinem Problem.

    Ich habe es jetzt gelöst: einfach nur Schusseligkeit - der Shop lief vorher mit osCommerce, und da liegen die Search-Dateien im Hauptverzeichnis, und ich hatte einfach vergessen, sie zu löschen, und Google hat die wohl irgendwie immer brav aufgerufen, und diese blöden Fehler produziert.

    Jetzt läuft alles einwandfrei.

    Gruss

    Tari

Ähnliche Themen

  1. Fehler Fehlgeschlagen: The database has NOT been saved. Fehler ERROR: Your server's "
    Von bumerang24 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 4
    Letzter Beitrag: 03.12.2011, 13:42

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1184 vom 01.09.2016
[Download]